Represents the creation of this chat, regardless of type.

### Hierarchy

- ChatHistoryEntry
  - ChannelCreatedHistoryEntry

## Index

### Properties

- chatId
- eventNumber
- members
- name
- timestamp
- topic
- type
- user
- TYPE

### Object literals

- TYPES

## Properties

### chatId

chatId: string

Inherited from ChatHistoryEntry.chatId

The ID of the chat on which this event occurred

### eventNumber

eventNumber: number

Inherited from ChatHistoryEntry.eventNumber

The unique sequential ID of this event

### members

members: DomainUser[]

The members of the chat at the time of creation

### name

name: string

The name of the created chat, if specified

### timestamp

timestamp: Date

Inherited from ChatHistoryEntry.timestamp

The timestamp at which this event occurred

### topic

topic: string

The topic of the created chat, if specified

### type

type: string

Inherited from ChatHistoryEntry.type

The type of event. One of Types

### user

user: DomainUser

Inherited from ChatHistoryEntry.user

The user that initiated this event

### StaticTYPE

TYPE: string = ChatHistoryEntry.TYPES.CREATED

## Object literals

### StaticTYPES

TYPES: object

Inherited from ChatHistoryEntry.TYPES

### CREATED

CREATED: string = "created"

### MESSAGE

MESSAGE: string = "message"

### NAME_CHANGED

NAME_CHANGED: string = "name_changed"

### TOPIC_CHANGED

TOPIC_CHANGED: string = "topic_changed"

### USER_ADDED

USER_ADDED: string = "user_added"

### USER_JOINED

USER_JOINED: string = "user_joined"

### USER_LEFT

USER_LEFT: string = "user_left"

### USER_REMOVED

USER_REMOVED: string = "user_removed"